# $Revision: 1.3 $, $Date: 2002/08/04 06:58:16 $
Summary:	MPEG plugin for Gimp
Summary(pl):	Wtyczka do MPEG Gimpa
Name:		gimp-mpeg
Version:	1.2.2a
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	gap_ex3mpg
URL:		http://registry.gimp.org/plugin?id=498
BuildRequires:	gimp-devel
BuildRequires:	libmpeg3-devel >= 1.2.3-4
Requires:	gimp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define gimpplugindir %(gimptool --gimpplugindir)/plug-ins

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
MPEG plugin for Gimp.

%description -l pl
Wtyczka do MPEG Gimpa.

%prep
%setup  -q -n gap_vid_libmpeg3

%build
# just for case
rm -rf libmpeg3-1.4 libmpeg3

cd gap_ex3mpg/src
CFLAGS=" -I. -I/usr/include/libmpeg3 %{rpmcflags}"
LIBS="-lmpeg3 -lpthread"
export CFLAGS
export LIBS
gimptool --build ex3_mpg_main.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{gimpplugindir}

install gap_ex3mpg/src/ex3_mpg_main $RPM_BUILD_ROOT%{gimpplugindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{gimpplugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gimp-mpeg.spec,v $
Revision 1.3  2002/08/04 06:58:16  kloczek
- release 2: use new %doc and change plugin permission to 755/root.root.

Revision 1.2  2002/03/01 21:32:04  wrobell
- builds now
- stb

Revision 1.1  2002/03/01 18:48:28  wrobell
- based on template
- nfy
